Index: quintagroup.catalogupdater/trunk/quintagroup/catalogupdater/exportimport/tests/test_catalogupdate.py
===================================================================
--- quintagroup.catalogupdater/trunk/quintagroup/catalogupdater/exportimport/tests/test_catalogupdate.py	(revision 3591)
+++ quintagroup.catalogupdater/trunk/quintagroup/catalogupdater/exportimport/tests/test_catalogupdate.py	(revision 3602)
@@ -37,5 +37,5 @@
  <column value="spam" update="True"/>
 </object>
-""" % (PLONEFOUR and '<object name="old_plexicon" remove="True"/>' or \
+""" % (PLONEFOUR and '<object name="old_plexicon" remove="True"/>' or
                      '<object name="foo_vocabulary" remove="True"/>')
 
@@ -91,5 +91,5 @@
         message = self.getLastMessage()
         self.assertEqual(message[-1], "foo_catalog:['eggs', 'spam']",
-            "Not updated columns in catalog")
+                         "Not updated columns in catalog")
 
 
@@ -97,5 +97,5 @@
     return unittest.TestSuite((
         unittest.makeSuite(CatalogUpdaterXMLAdapterTest),
-        ))
+    ))
 
 if __name__ == '__main__':
Index: quintagroup.catalogupdater/trunk/quintagroup/catalogupdater/tests.py
===================================================================
--- quintagroup.catalogupdater/trunk/quintagroup/catalogupdater/tests.py	(revision 3591)
+++ quintagroup.catalogupdater/trunk/quintagroup/catalogupdater/tests.py	(revision 3602)
@@ -67,6 +67,6 @@
         mydoc = self.catalog.unrestrictedSearchResults(id='my_doc')[0]
         self.assertFalse(mydoc.test_column == 'my_doc',
-            "'test_column' metadata updated in catalog " \
-            "before utility call: '%s'" % mydoc.test_column)
+                         "'test_column' metadata updated in catalog "
+                         "before utility call: '%s'" % mydoc.test_column)
 
         cu = queryUtility(ICatalogUpdater, name="catalog_updater")
@@ -75,6 +75,6 @@
         mydoc = self.catalog.unrestrictedSearchResults(id='my_doc')[0]
         self.assertTrue(mydoc.test_column == 'my_doc',
-            "'test_column' metadata has wrong metadata in catalog: " \
-            "'%s'" % mydoc.test_column)
+                        "'test_column' metadata has wrong metadata in catalog:"
+                        " '%s'" % mydoc.test_column)
 
     def testOnlyPointedColumnUpdate(self):
@@ -96,5 +96,5 @@
         mydoc = self.catalog.unrestrictedSearchResults(id='my_doc')[0]
         self.assertTrue(mydoc.Title == 'My document',
-            "Other metadata updated: Title='%s'" % mydoc.Title)
+                        "Other metadata updated: Title='%s'" % mydoc.Title)
 
     def testAllRecordsUpdate(self):
@@ -108,6 +108,6 @@
         num_updated = sum([1 for b in allcat if b.test_column == b.id])
 
-        self.assertTrue(num_updated == num_recs, "Only %d records updated, " \
-            "must be - %d" % (num_updated, num_recs))
+        self.assertTrue(num_updated == num_recs, "Only %d records updated, "
+                        "must be - %d" % (num_updated, num_recs))
 
     def testTransaction(self):
@@ -133,7 +133,8 @@
         cu.updateMetadata4All(self.catalog, 'test_column')
 
-        self.assertTrue(sp_commits == num_subcommits, "Wrong number of " \
-            "transaction subcommits: actual:%d, must be: %d" % (sp_commits,
-            num_subcommits))
+        self.assertTrue(sp_commits == num_subcommits,
+                        "Wrong number of transaction subcommits: "
+                        "actual:%d, must be: %d" % (sp_commits,
+                                                    num_subcommits))
 
         transaction.savepoint = orig_trsp
@@ -143,5 +144,5 @@
     return unittest.TestSuite([
         unittest.makeSuite(TestUtility),
-        ])
+    ])
 
 if __name__ == '__main__':
Index: quintagroup.catalogupdater/trunk/quintagroup/catalogupdater/utility.py
===================================================================
--- quintagroup.catalogupdater/trunk/quintagroup/catalogupdater/utility.py	(revision 3591)
+++ quintagroup.catalogupdater/trunk/quintagroup/catalogupdater/utility.py	(revision 3602)
@@ -41,6 +41,6 @@
 
         if not type(cols) in AVAIL_COLTYPES:
-            raise TypeError("'columns' parameter must be one of the " \
-                "following types: %s" % AVAIL_COLTYPES)
+            raise TypeError("'columns' parameter must be one of the "
+                            "following types: %s" % AVAIL_COLTYPES)
         # Normalize columns
         if type(cols) in types.StringTypes:
@@ -49,5 +49,5 @@
         for col in cols:
             if not col in _cat.schema:
-                raise AttributeError("'%s' - not presented column in " \
+                raise AttributeError("'%s' - not presented column in "
                                      "%s catalog " % (col, cat))
 
@@ -93,5 +93,5 @@
         paths = _catalog.paths
         getWrappedObject = (IS_NEW and self.getWrappedObjectNew
-                                    or self.getWrappedObjectOld)
+                            or self.getWrappedObjectOld)
         # For subtransaction support
         threshold = getattr(catalog, 'threshold', 10000)