Index: quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/__init__.py
===================================================================
--- quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/__init__.py	(revision 3432)
+++ quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/__init__.py	(revision 3606)
@@ -24,4 +24,3 @@
         permission=ADD_PERMISSION,
         extra_constructors=constructors,
-        fti=ftis,
-        ).initialize(context)
+        fti=ftis,).initialize(context)
Index: quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/field.py
===================================================================
--- quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/field.py	(revision 3432)
+++ quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/field.py	(revision 3606)
@@ -9,5 +9,5 @@
 from Products.PloneFormGen.content.fieldsBase import BaseFormField
 from Products.PloneFormGen.content.fieldsBase \
-        import BaseFieldSchemaStringDefault
+    import BaseFieldSchemaStringDefault
 
 from quintagroup.pfg.captcha.config import PROJECTNAME
@@ -57,10 +57,10 @@
         # set a preconfigured field as an instance attribute
         self.fgField = StringField('fg_string_field',
-            searchable=0,
-            required=1,
-            write_permission=View,
-            validators=('isCaptchaCorrect',),
-            widget=CaptchaWidget(),
-            )
+                                   searchable=0,
+                                   required=1,
+                                   write_permission=View,
+                                   validators=('isCaptchaCorrect',),
+                                   widget=CaptchaWidget(),
+                                   )
 
 registerATCT(CaptchaField, PROJECTNAME)
Index: quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/setuphandlers.py
===================================================================
--- quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/setuphandlers.py	(revision 3432)
+++ quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/setuphandlers.py	(revision 3606)
@@ -21,7 +21,7 @@
     if cftype and getattr(cftype, 'product', "") == "qPloneCaptchaField":
         catalog = plone_tools.catalog()
-        captcha_fields = [(cf.id, cf.getObject().aq_parent) \
+        captcha_fields = [(cf.id, cf.getObject().aq_parent)
                           for cf in catalog.search(
-                                {'portal_type': 'CaptchaField'})]
+                          {'portal_type': 'CaptchaField'})]
         logger.info("Old Products.qPloneCaptchaField fields collected.")
 
Index: quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/tests/testInstalled.py
===================================================================
--- quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/tests/testInstalled.py	(revision 3432)
+++ quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/tests/testInstalled.py	(revision 3606)
@@ -26,5 +26,5 @@
                 p = p[9:]
             self.assertEqual(p in installed, True,
-                '"%s" product not installed' % p)
+                             '"%s" product not installed' % p)
 
     def testType(self):
@@ -53,5 +53,6 @@
             paths = filter(None, map(string.strip, spath.split(',')))
             self.assertEqual("qplonecaptchafield" in paths, True,
-                '"qplonecaptchafield" layer not present in "%s" skin' % sname)
+                             '"qplonecaptchafield" layer not present '
+                             'in "%s" skin' % sname)
 
 
@@ -70,5 +71,6 @@
             self.assertEqual(visibility, {'view': 'invisible',
                                           'edit': 'invisible'},
-                '"%s" field is not hidden, but %s:' % (field, visibility))
+                             '"%s" field is not hidden, but %s:' %
+                             (field, visibility))
 
     def testFGField(self):
Index: quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/widget.py
===================================================================
--- quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/widget.py	(revision 3432)
+++ quintagroup.pfg.captcha/trunk/quintagroup/pfg/captcha/widget.py	(revision 3606)
@@ -13,4 +13,3 @@
                title='Captcha widget',
                description=('Renders captcha image and string input',),
-               used_for=('quintagroup.pfg.captcha.field.CaptchaField',)
-              )
+               used_for=('quintagroup.pfg.captcha.field.CaptchaField',))