Index: /quintagroup.portlet.pfg/trunk/quintagroup/portlet/pfg/pfg.py
===================================================================
--- /quintagroup.portlet.pfg/trunk/quintagroup/portlet/pfg/pfg.py	(revision 3634)
+++ /quintagroup.portlet.pfg/trunk/quintagroup/portlet/pfg/pfg.py	(revision 3635)
@@ -10,20 +10,21 @@
 from Products.Five.browser.pagetemplatefile import ViewPageTemplateFile
 from Products.CMFPlone import PloneMessageFactory as _
-from Products.CMFCore.utils import getToolByName
 
-from Products.PloneFormGen.interfaces import  IPloneFormGenForm
+from Products.PloneFormGen.interfaces import IPloneFormGenForm
 from plone.app.vocabularies.catalog import SearchableTextSourceBinder
 from plone.app.form.widgets.uberselectionwidget import UberSelectionWidget
+
 
 class IPFGPortlet(IPortletDataProvider):
 
     target_form = schema.Choice(
-                    title=_(u"Target form"),
-                    description=_(u"Find the form which you want to be",
-                                   "displayed in portlet."),
-                    required=True,
-                    source=SearchableTextSourceBinder(
-                        {'object_provides':IPloneFormGenForm.__identifier__},
-                        default_query='path:'))
+        title=_(u"Target form"),
+        description=_(u"Find the form which you want to be",
+                      "displayed in portlet."),
+        required=True,
+        source=SearchableTextSourceBinder(
+            {'object_provides': IPloneFormGenForm.__identifier__},
+            default_query='path:'))
+
 
 class Assignment(base.Assignment):
@@ -37,4 +38,5 @@
         return _(u"PFG Portlet")
 
+
 class Renderer(base.Renderer):
 
@@ -44,7 +46,6 @@
         base.Renderer.__init__(self, *args)
         self.portal_state = getMultiAdapter((self.context, self.request),
-                                       name=u'plone_portal_state')
+                                            name=u'plone_portal_state')
         self.portal = self.portal_state.portal()
-
 
     def render(self):
@@ -70,7 +71,9 @@
         if form is not None:
             form_path = '/'.join(form.getPhysicalPath()[2:])
-            form_view = self.portal.restrictedTraverse('%s/@@embedded' % form_path)
+            form_view = self.portal.restrictedTraverse(
+                '%s/@@embedded' % form_path)
             form_view.prefix = 'pfgportlet'
             return form_view()
+
 
 class AddForm(base.AddForm):
@@ -85,4 +88,5 @@
         return Assignment(target_form=data.get('target_form', ''))
 
+
 class EditForm(base.EditForm):
 
Index: /quintagroup.portlet.pfg/trunk/quintagroup/portlet/pfg/tests/base.py
===================================================================
--- /quintagroup.portlet.pfg/trunk/quintagroup/portlet/pfg/tests/base.py	(revision 3634)
+++ /quintagroup.portlet.pfg/trunk/quintagroup/portlet/pfg/tests/base.py	(revision 3635)
@@ -8,4 +8,5 @@
 
 ztc.installProduct('PloneFormGen')
+
 
 @onsetup
@@ -37,8 +38,10 @@
                              'quintagroup.portlet.pfg'])
 
+
 class TestCase(ptc.PloneTestCase):
     """Base class used for test cases
     """
 
+
 class FunctionalTestCase(ptc.FunctionalTestCase):
     """Test case class used for functional (doc-)tests
Index: /quintagroup.portlet.pfg/trunk/quintagroup/portlet/pfg/tests/test_portlet.py
===================================================================
--- /quintagroup.portlet.pfg/trunk/quintagroup/portlet/pfg/tests/test_portlet.py	(revision 3634)
+++ /quintagroup.portlet.pfg/trunk/quintagroup/portlet/pfg/tests/test_portlet.py	(revision 3635)
@@ -14,6 +14,4 @@
 
 
-from Products.CMFCore.utils import getToolByName
-
 class TestPFGPortlet(TestCase):
 
@@ -23,6 +21,8 @@
 
     def testPortletTypeRegistered(self):
-        portlet = getUtility(IPortletType, name='quintagroup.portlet.pfg.PFGPortlet')
-        self.assertEquals(portlet.addview, 'quintagroup.portlet.pfg.PFGPortlet')
+        portlet = getUtility(
+            IPortletType, name='quintagroup.portlet.pfg.PFGPortlet')
+        self.assertEquals(
+            portlet.addview, 'quintagroup.portlet.pfg.PFGPortlet')
 
     def testInterfaces(self):
@@ -32,11 +32,13 @@
 
     def testInvokeAddview(self):
-        portlet = getUtility(IPortletType, name='quintagroup.portlet.pfg.PFGPortlet')
-        mapping = self.portal.restrictedTraverse('++contextportlets++plone.leftcolumn')
+        portlet = getUtility(
+            IPortletType, name='quintagroup.portlet.pfg.PFGPortlet')
+        mapping = self.portal.restrictedTraverse(
+            '++contextportlets++plone.leftcolumn')
         for m in mapping.keys():
             del mapping[m]
         addview = mapping.restrictedTraverse('+/' + portlet.addview)
 
-        addview.createAndAdd(data={'target_form' : u"/test_form"})
+        addview.createAndAdd(data={'target_form': u"/test_form"})
 
         self.assertEquals(len(mapping), 1)
@@ -55,9 +57,12 @@
         request = self.folder.REQUEST
         view = self.folder.restrictedTraverse('@@plone')
-        manager = getUtility(IPortletManager, name='plone.rightcolumn', context=self.portal)
+        manager = getUtility(
+            IPortletManager, name='plone.rightcolumn', context=self.portal)
         assignment = pfg.Assignment(target_form=u"/test_form")
 
-        renderer = getMultiAdapter((context, request, view, manager, assignment), IPortletRenderer)
+        renderer = getMultiAdapter(
+            (context, request, view, manager, assignment), IPortletRenderer)
         self.failUnless(isinstance(renderer, pfg.Renderer))
+
 
 class TestPFGPortletRenderer(TestCase):
@@ -68,18 +73,21 @@
         self.portal.invokeFactory('FormFolder', 'test_form')
 
-    def renderer(self, context=None, request=None, view=None, manager=None, assignment=None):
+    def renderer(self, context=None, request=None, view=None, manager=None,
+                 assignment=None):
         context = context or self.folder
         request = request or self.folder.REQUEST
         view = view or self.folder.restrictedTraverse('@@plone')
-        manager = manager or getUtility(IPortletManager, name='plone.rightcolumn', context=self.portal)
+        manager = manager or getUtility(
+            IPortletManager, name='plone.rightcolumn', context=self.portal)
         assignment = assignment or pfg.Assignment(target_form="/test_form")
 
-        return getMultiAdapter((context, request, view, manager, assignment), IPortletRenderer)
-
+        return getMultiAdapter((context, request, view, manager, assignment),
+                               IPortletRenderer)
 
     def test_portletStyle(self):
+        assignment = pfg.Assignment(target_form="/test_form")
         renderer = self.renderer(context=self.portal,
                                  request=self.portal.REQUEST,
-                                 assignment=pfg.Assignment(target_form="/test_form"))
+                                 assignment=assignment)
         renderer = renderer.__of__(self.portal)
         renderer.update()
@@ -89,4 +97,5 @@
         self.failUnless('Comments' in renderer.render())
 
+
 def test_suite():
     from unittest import TestSuite, makeSuite
Index: /quintagroup.portlet.pfg/trunk/setup.py
===================================================================
--- /quintagroup.portlet.pfg/trunk/setup.py	(revision 3634)
+++ /quintagroup.portlet.pfg/trunk/setup.py	(revision 3635)
@@ -8,10 +8,9 @@
       description="Render form created by PloneFormGen package.",
       long_description=open("README.txt").read() + "\n" +
-                       open(os.path.join("docs", "HISTORY.txt")).read(),
-      # Get more strings from http://www.python.org/pypi?%3Aaction=list_classifiers
+      open(os.path.join("docs", "HISTORY.txt")).read(),
       classifiers=[
-        "Programming Language :: Python",
-        "Topic :: Software Development :: Libraries :: Python Modules",
-        ],
+          "Programming Language :: Python",
+          "Topic :: Software Development :: Libraries :: Python Modules",
+      ],
       keywords='portlet pfg',
       author='Quintagroup',