Index: /quintagroup.plonetabs/trunk/quintagroup/plonetabs/browser/plonetabs.py
===================================================================
--- /quintagroup.plonetabs/trunk/quintagroup/plonetabs/browser/plonetabs.py	(revision 3667)
+++ /quintagroup.plonetabs/trunk/quintagroup/plonetabs/browser/plonetabs.py	(revision 3668)
@@ -658,5 +658,5 @@
 
             # update reorder controls
-            #self.kss_checkReorderControls(cat_name)
+            # self.kss_checkReorderControls(cat_name)
 
             # hide adding form
@@ -843,7 +843,7 @@
         elif re.compile('^(ht|f)tps?\:', re.I).search(expr):
             return 'string:%s' % expr
-        #elif re.compile('^(python:|string:|not:|exists:|nocall:|path:)',
-                        #re.I).search(expr):
-            #return expr
+        # elif re.compile('^(python:|string:|not:|exists:|nocall:|path:)',
+                        # re.I).search(expr):
+            # return expr
         elif expr.find(':') != -1:
             return expr
@@ -1202,7 +1202,7 @@
                                  positionSelectorType="htmlid")
 
-        #ksszope = self.getCommandSet("zope")
-        #ksszope.refreshViewlet(
-           #self.getCommandSet("core").getHtmlIdSelector("portal-siteactions"),
+        # ksszope = self.getCommandSet("zope")
+        # ksszope.refreshViewlet(
+           # self.getCommandSet("core").getHtmlIdSelector("portal-siteactions"),
            #"plone.portalheader",
            #"plone.site_actions")
Index: /quintagroup.plonetabs/trunk/quintagroup/plonetabs/tests/base.py
===================================================================
--- /quintagroup.plonetabs/trunk/quintagroup/plonetabs/tests/base.py	(revision 3667)
+++ /quintagroup.plonetabs/trunk/quintagroup/plonetabs/tests/base.py	(revision 3668)
@@ -6,14 +6,14 @@
 from plone.browserlayer.layer import mark_layer
 
-from  Testing import ZopeTestCase as ztc
-from  Products.Five import zcml
+from Testing import ZopeTestCase as ztc
+from Products.Five import zcml
 from Products.CMFCore.utils import getToolByName
 from Products.CMFCore.ActionInformation import Action, ActionCategory
-from  Products.PloneTestCase import PloneTestCase as ptc
-from  Products.PloneTestCase.layer import onsetup
+from Products.PloneTestCase import PloneTestCase as ptc
+from Products.PloneTestCase.layer import onsetup
 
 from quintagroup.plonetabs.tests.data import PORTAL_ACTIONS, PORTAL_CONTENT
 
-#ztc.installProduct('Zope2Product')
+# ztc.installProduct('Zope2Product')
 
 
@@ -22,5 +22,5 @@
     import quintagroup.plonetabs
     zcml.load_config('configure.zcml', quintagroup.plonetabs)
-    #ztc.installPackage('some.other.package')
+    # ztc.installPackage('some.other.package')
     ztc.installPackage('quintagroup.plonetabs')
 
@@ -54,8 +54,8 @@
         for obj in self.tool.objectValues():
             self.tool._delObject(obj.id)
-            #if IAction.providedBy(obj):
-                #self.tool._delObject(obj.id)
-            #elif IActionCategory.providedBy(obj):
-                #obj.manage_delObjects(ids=obj.objectIds())
+            # if IAction.providedBy(obj):
+                # self.tool._delObject(obj.id)
+            # elif IActionCategory.providedBy(obj):
+                # obj.manage_delObjects(ids=obj.objectIds())
 
     def setupActions(self, parent, kids=PORTAL_ACTIONS):
@@ -93,5 +93,5 @@
 
         # publish and reindex
-        #self._publish_item(portal, obj)
+        # self._publish_item(portal, obj)
         portal_catalog.indexObject(obj)
         return obj
Index: /quintagroup.plonetabs/trunk/quintagroup/plonetabs/tests/test_controlpanel.py
===================================================================
--- /quintagroup.plonetabs/trunk/quintagroup/plonetabs/tests/test_controlpanel.py	(revision 3667)
+++ /quintagroup.plonetabs/trunk/quintagroup/plonetabs/tests/test_controlpanel.py	(revision 3668)
@@ -506,4 +506,4 @@
     # using kss.demo package, and KSS plugins are tested by means of
     # ecmaunit.js
-    #suite.addTest(unittest.makeSuite(TestControlPanelKSSMethods))
+    # suite.addTest(unittest.makeSuite(TestControlPanelKSSMethods))
     return suite
Index: /quintagroup.plonetabs/trunk/quintagroup/plonetabs/tests/test_erase.py
===================================================================
--- /quintagroup.plonetabs/trunk/quintagroup/plonetabs/tests/test_erase.py	(revision 3667)
+++ /quintagroup.plonetabs/trunk/quintagroup/plonetabs/tests/test_erase.py	(revision 3668)
@@ -19,5 +19,5 @@
 
 from Products.CMFCore.utils import getToolByName
-from  Products.PloneTestCase.layer import PloneSiteLayer
+from Products.PloneTestCase.layer import PloneSiteLayer
 
 from quintagroup.plonetabs.tests.base import PloneTabsTestCase